Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 576354 (CVE-2016-1630, CVE-2016-1631, CVE-2016-1632, CVE-2016-1633, CVE-2016-1634, CVE-2016-1635, CVE-2016-1636, CVE-2016-1637, CVE-2016-1638, CVE-2016-1639, CVE-2016-1640, CVE-2016-1641, CVE-2016-1642) - <www-client/chromium-49.0.2623.75: multiple vulnerabilities (CVE-2016-{1630,1631,1632,1633,1634,1635,1636,1637,1638,1639,1640,1641,1642})
Summary: <www-client/chromium-49.0.2623.75: multiple vulnerabilities (CVE-2016-{1630,1...
Status: RESOLVED FIXED
Alias: CVE-2016-1630, CVE-2016-1631, CVE-2016-1632, CVE-2016-1633, CVE-2016-1634, CVE-2016-1635, CVE-2016-1636, CVE-2016-1637, CVE-2016-1638, CVE-2016-1639, CVE-2016-1640, CVE-2016-1641, CVE-2016-1642
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: http://googlechromereleases.blogspot....
Whiteboard: A2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-03 15:47 UTC by Mike Gilbert
Modified: 2016-03-12 12:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Gilbert gentoo-dev 2016-03-03 15:47:50 UTC
This update includes 26 security fixes. Below, we highlight fixes that were contributed by external researchers. Please see the Chromium security page for more information. 

[$8000][560011] High CVE-2016-1630: Same-origin bypass in Blink. Credit to Mariusz Mlynski.
[$7500][569496] High CVE-2016-1631: Same-origin bypass in Pepper Plugin. Credit to Mariusz Mlynski.
[$5000][549986] High CVE-2016-1632: Bad cast in Extensions. Credit to anonymous.
[$3000][572537] High CVE-2016-1633: Use-after-free in Blink. Credit to cloudfuzzer.
[$3000][559292] High CVE-2016-1634: Use-after-free in Blink. Credit to cloudfuzzer.
[$2000][585268] High CVE-2016-1635: Use-after-free in Blink. Credit to Rob Wu.
[$2000][584155] High CVE-2016-1636: SRI Validation Bypass. Credit to ryan@cyph.com.
[$500][560291] High CVE-2015-8126: Out-of-bounds access in libpng. Credit to joerg.bornemann.
[$2000][555544] Medium CVE-2016-1637: Information Leak in Skia. Credit to Keve Nagy.
[$1000][585282] Medium CVE-2016-1638: WebAPI Bypass. Credit to Rob Wu.
[$1000][572224] Medium CVE-2016-1639: Use-after-free in WebRTC. Credit to Khalil Zhani.
[$1000][550047] Medium CVE-2016-1640: Origin confusion in Extensions UI. Credit to Luan Herrera.
[$500][583718] Medium CVE-2016-1641: Use-after-free in Favicon. Credit to Atte Kettunen of OUSPG.
Comment 1 Mike Gilbert gentoo-dev 2016-03-03 15:57:13 UTC
Please test and mark stable:

=www-client/chromium-49.0.2623.75
Comment 2 Richard Freeman gentoo-dev 2016-03-03 20:49:15 UTC
amd64 stable
Comment 3 Agostino Sarubbo gentoo-dev 2016-03-03 21:43:15 UTC
x86 stable.

Maintainer(s), please cleanup.
Comment 4 Mike Gilbert gentoo-dev 2016-03-04 02:44:44 UTC
Cleanup done.
Comment 5 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-03-10 12:14:44 UTC
Added to existing GLSA.
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2016-03-12 08:27:46 UTC
CVE-2016-1642 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1642):
  Multiple unspecified vulnerabilities in Google Chrome before 49.0.2623.75
  allow attackers to cause a denial of service or possibly have other impact
  via unknown vectors.

CVE-2016-1641 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1641):
  Use-after-free vulnerability in
  content/browser/web_contents/web_contents_impl.cc in Google Chrome before
  49.0.2623.75 allows remote attackers to cause a denial of service or
  possibly have unspecified other impact by triggering an image download after
  a certain data structure is deleted, as demonstrated by a favicon.ico
  download.

CVE-2016-1640 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1640):
  The Web Store inline-installer implementation in the Extensions UI in Google
  Chrome before 49.0.2623.75 does not block installations upon deletion of an
  installation frame, which makes it easier for remote attackers to trick a
  user into believing that an installation request originated from the user's
  next navigation target via a crafted web site.

CVE-2016-1639 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1639):
  Use-after-free vulnerability in
  browser/extensions/api/webrtc_audio_private/webrtc_audio_private_api.cc in
  the WebRTC Audio Private API implementation in Google Chrome before
  49.0.2623.75 allows remote attackers to cause a denial of service or
  possibly have unspecified other impact by leveraging incorrect reliance on
  the resource context pointer.

CVE-2016-1638 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1638):
  extensions/renderer/resources/platform_app.js in the Extensions subsystem in
  Google Chrome before 49.0.2623.75 does not properly restrict use of Web
  APIs, which allows remote attackers to bypass intended access restrictions
  via a crafted platform app.

CVE-2016-1637 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1637):
  The SkATan2_255 function in effects/gradients/SkSweepGradient.cpp in Skia,
  as used in Google Chrome before 49.0.2623.75, mishandles arctangent
  calculations, which allows remote attackers to obtain sensitive information
  via a crafted web site.

CVE-2016-1636 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1636):
  The PendingScript::notifyFinished function in
  WebKit/Source/core/dom/PendingScript.cpp in Google Chrome before
  49.0.2623.75 relies on memory-cache information about integrity-check
  occurrences instead of integrity-check successes, which allows remote
  attackers to bypass the Subresource Integrity (aka SRI) protection mechanism
  by triggering two loads of the same resource.

CVE-2016-1635 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1635):
  extensions/renderer/render_frame_observer_natives.cc in Google Chrome before
  49.0.2623.75 does not properly consider object lifetimes and re-entrancy
  issues during OnDocumentElementCreated handling, which allows remote
  attackers to cause a denial of service (use-after-free) or possibly have
  unspecified other impact via unknown vectors.

CVE-2016-1634 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1634):
  Use-after-free vulnerability in the StyleResolver::appendCSSStyleSheet
  function in WebKit/Source/core/css/resolver/StyleResolver.cpp in Blink, as
  used in Google Chrome before 49.0.2623.75, allows remote attackers to cause
  a denial of service or possibly have unspecified other impact via a crafted
  web site that triggers Cascading Style Sheets (CSS) style invalidation
  during a certain subtree-removal action.

CVE-2016-1633 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1633):
  Use-after-free vulnerability in Blink, as used in Google Chrome before
  49.0.2623.75, allows remote attackers to cause a denial of service or
  possibly have unspecified other impact via unknown vectors.

CVE-2016-1632 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1632):
  The Extensions subsystem in Google Chrome before 49.0.2623.75 does not
  properly maintain own properties, which allows remote attackers to bypass
  intended access restrictions via crafted JavaScript code that triggers an
  incorrect cast, related to extensions/renderer/v8_helpers.h and
  gin/converter.h.

CVE-2016-1631 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1631):
  The PPB_Flash_MessageLoop_Impl::InternalRun function in
  content/renderer/pepper/ppb_flash_message_loop_impl.cc in the Pepper plugin
  in Google Chrome before 49.0.2623.75 mishandles nested message loops, which
  allows remote attackers to bypass the Same Origin Policy via a crafted web
  site.

CVE-2016-1630 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1630):
  The ContainerNode::parserRemoveChild function in
  WebKit/Source/core/dom/ContainerNode.cpp in Blink, as used in Google Chrome
  before 49.0.2623.75, mishandles widget updates, which makes it easier for
  remote attackers to bypass the Same Origin Policy via a crafted web site.
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2016-03-12 12:17:24 UTC
This issue was resolved and addressed in
 GLSA 201603-09 at https://security.gentoo.org/glsa/201603-09
by GLSA coordinator Kristian Fiskerstrand (K_F).